[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RGB2LuvFunctor< T > Class Template Reference |

Convert linear (raw) RGB into perceptual uniform CIE L*u*v*. More...

`#include <vigra/colorconversions.hxx>`

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T >::RealPromote | component_type
typedef XYZ2LuvFunctor< component_type >::result_type | result_type
typedef XYZ2LuvFunctor< component_type >::result_type | value_type

## Public Member Functions

template<class V >
result_type | operator() (V const &rgb) const
| RGB2LuvFunctor ()
| RGB2LuvFunctor (component_type max)

## Detailed Description

### template<class T>
class vigra::RGB2LuvFunctor< T >

Convert linear (raw) RGB into perceptual uniform CIE L*u*v*.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the transformation

See vigra::RGB2XYZFunctor and vigra::XYZ2LuvFunctor for a description of the two steps. The resulting color components will have the following bounds:

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

## ◆ component_type

typedef NumericTraits<T>::RealPromote component_type

the result's component type

## ◆ argument_type

typedef TinyVector<T, 3> argument_type

the functor's argument type

## ◆ result_type

typedef XYZ2LuvFunctor<component_type>::result_type result_type

the functor's result type

## ◆ value_type

typedef XYZ2LuvFunctor<component_type>::result_type value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

## ◆ RGB2LuvFunctor() [1/2]

RGB2LuvFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

## ◆ RGB2LuvFunctor() [2/2]

RGB2LuvFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

## ◆ operator()()

result_type operator() | ( | V const & | rgb | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1